Patch a value list item

Base URL
https://{kibana_url}
  • PATCH /api/lists/items
  • PATCH /s/{space_id}/api/lists/items
Auth

Update specific fields of an existing value list item using the item id.

Path parameters

space_id string optional

An identifier for the space. If space_id is not provided in the URL, the default space is used. Refer to Spaces for more information.

Request body

Value list item's properties

_version string

The version id, normally returned by the API when the document is retrieved. Use it ensure updates are done against the latest version.

id string · format: nonempty · min length: 1 required

Value list item's identifier.

meta object

Placeholder for metadata about the value list item.

refresh enum

Determines when changes made by the request are made visible to search.

Values: true false wait_for
value string · format: nonempty · min length: 1

The value used to evaluate exceptions.

Responses

Successful response

application/json
_version string

The version id, normally returned by the API when the document is retrieved. Use it ensure updates are done against the latest version.

@timestamp string · format: date-time
created_at string · format: date-time required

Autogenerated date of object creation.

created_by string required

Autogenerated value - user that created object.

id string · format: nonempty · min length: 1 required

Value list item's identifier.

list_id string · format: nonempty · min length: 1 required

Value list's identifier.

meta object

Placeholder for metadata about the value list item.

tie_breaker_id string required

Field used in search to ensure all containers are sorted and returned correctly.

type enum required

Specifies the Elasticsearch data type of excludes the list container holds. Some common examples:

  • keyword: Many ECS fields are Elasticsearch keywords
  • ip: IP addresses
  • ip_range: Range of IP addresses (supports IPv4, IPv6, and CIDR notation)
Values: binary boolean byte date date_nanos date_range double double_range float float_range geo_point geo_shape
updated_at string · format: date-time required

Autogenerated date of last object update.

updated_by string required

Autogenerated value - user that last updated object.

value string · format: nonempty · min length: 1 required

The value used to evaluate exceptions.

Invalid input data response

application/json
One of:
error string required
message string required
statusCode integer required

Unsuccessful authentication response

application/json
error string required
message string required
statusCode integer required

Not enough privileges response

application/json
error string required
message string required
statusCode integer required

List item not found response

application/json
message string required
status_code integer required

Internal server error response

application/json
message string required
status_code integer required
Base URL
https://{kibana_url}